#
#  Copyright (c) 2017 - Present  European Spallation Source ERIC
#
#  The program is free software: you can redistribute
#  it and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation, either version 2 of the
#  License, or any newer version.
#
#  This program is distributed in the hope that it will be useful, but WITHOUT
#  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
#  more details.
#
#  You should have received a copy of the GNU General Public License along with
#  this program. If not, see https://www.gnu.org/licenses/gpl-2.0.txt
#
# 
# Author  : jhlee
# email   : jhlee@esss.se
# Date    : generated by 2018Jan25-1142-49CET
# version : 0.0.0 
#
# template file is generated by prepare_module.bash with 673bad4dce8e231fad30e8f70c6cfa69dfd15130

# Please look at many other _module_.Makefile in e3-* repository
# 


where_am_I := $(dir $(abspath $(lastword $(MAKEFILE_LIST))))

include $(REQUIRE_TOOLS)/driver.makefile

SUPPORT:=pointGreySupport

APP:=pointGreyApp
APPDB:=$(APP)/Db
APPSRC:=$(APP)/src


## We will use XML2 as the system lib, instead of ADSupport
## Do we need to load libxml2 when we start iocsh?

USR_INCLUDES += -I/usr/include/libxml2
LIB_SYS_LIBS += xml2	



DBDS += $(APPSRC)/pointGreySupport.dbd


SOURCES += $(APPSRC)/pointGrey.cpp


## PointGreySupport


HEADERS += $(SUPPORT)/AVIRecorder.h
HEADERS += $(SUPPORT)/BusManager.h
HEADERS += $(SUPPORT)/Camera.h
HEADERS += $(SUPPORT)/CameraBase.h
HEADERS += $(SUPPORT)/Error.h
HEADERS += $(SUPPORT)/FlyCapture2.h
HEADERS += $(SUPPORT)/FlyCapture2Defs.h
HEADERS += $(SUPPORT)/FlyCapture2Platform.h
HEADERS += $(SUPPORT)/GigECamera.h
HEADERS += $(SUPPORT)/Image.h
HEADERS += $(SUPPORT)/ImageStatistics.h
HEADERS += $(SUPPORT)/TopologyNode.h
HEADERS += $(SUPPORT)/Utilities.h



# We don't have LIB_INSTALLS, so will tackle later
ifeq (linux-x86_64, $(findstring linux-x86_64, $(T_A)))
LIB_INSTALLS    += $(SUPPORT)/os/linux-x86_64/libflycapture.so
LIB_INSTALLS    += $(SUPPORT)/os/linux-x86_64/libflycapture.so.2
LIB_INSTALLS    += $(SUPPORT)/os/linux-x86_64/libflycapture.so.2.8.3.1
endif






TEMPLATES += $(APPDB)/pointGrey.template
TEMPLATES += $(APPDB)/pointGreyProperty.template
TEMPLATES += $(APPDB)/pointGreyGigEProperty.template
